# Google Play Game Services API

## Instance Methods

Returns the achievementDefinitions Resource.

Returns the achievements Resource.

Returns the applications Resource.

Returns the events Resource.

Returns the leaderboards Resource.

Returns the metagame Resource.

Returns the players Resource.

Returns the pushtokens Resource.

Returns the questMilestones Resource.

Returns the quests Resource.

Returns the revisions Resource.

Returns the rooms Resource.

Returns the scores Resource.

Returns the snapshots Resource.

Returns the turnBasedMatches Resource.

Create a BatchHttpRequest object based on the discovery document.

### Method Details

`new_batch_http_request()`

    Create a BatchHttpRequest object based on the discovery document.

            Args:
              callback: callable, A callback to be called for each response, of the
                form callback(id, response, exception). The first parameter is the
                request id, and the second is the deserialized response object. The
                third is an apiclient.errors.HttpError exception object if an HTTP
                error occurred while processing the request, or None if no error
                occurred.

            Returns:
              A BatchHttpRequest object based on the discovery document.